% !TeX spellcheck = en_US
% !TeX encoding = UTF-8
% !TeX TXS-program:compile = txs:///latexmk/[-pdf -silent -shell-escape -latexoption="-synctex=1" -output-directory="build" -r "docstyle/nomenclature_latexmkrc"]
% !TeX TXS-program:quick = txs:///compile | txs:///view

% Workaround for bug, see https://tex.stackexchange.com/questions/575325/options-not-working-if-custom-class-is-in-subfolder
\makeatletter\def\input@path{{./docstyle/}}\makeatother

%\documentclass[sp,draft,compact]{IDSCreport}
\documentclass[sp]{IDSCreport}
\input{utils/preamble}
\input{utils/symbols}

\title{Guardian Angel}
% \subtitle{A recursively feasible Safety Layer for untrusted controllers in a dynamic environment}
\subtitle{A Safety Layer for Untrusted Agents in a Dynamic Environment}
\author{Luzian Bieri}
\ethid{17-925-058}
\semester{FS 2021}
\email{luzibier@ethz.ch}
\supervision{Alessandro Zanardi\\Prof. Dr. Emilio Frazzoli}
\identification{IDSC-proj-sp-bieri}
\date{June 2021}
\keywords{Guardian Angel, Safety Layer}
\bibliography{bibliography}

\begin{abstract}
Running untrusted controllers on any robotics system is a significant risk for humans and material. Nevertheless, in some cases, like competitions or training of machine learning algorithms, it has to be done anyway. Then, a safety layer - a Guardian Angel - supervising the controller is indispensable in static and dynamic environments. We propose a modular safety layer running with any controller using a discrete set of predetermined input scenarios. This Guardian Angel guarantees recursive feasibility for always having a safe escape trajectory in a static environment. It ensures to take the least-worst option in a dynamic environment while keeping the computational overhead and thus its delay low. We then extend this approach to take the controller's planned commands into account by implementing a trust system.  

\end{abstract}

% Begin document________________________________________________________________
\begin{document}

\maketitle 							% Create title page


% Preamble______________________________________________________________________

\pagenumbering{roman} 				% Begin roman page numbering (i,ii,...)

%\input{chapters/preamble}

% Chapters______________________________________________________________________

\pagestyle{fancy}               	% Fancy headings
\pagenumbering{arabic}				% Begin arabic page numbering (1,2,...)

\input{chapters/00_intro}
\cleardoublepage
\input{chapters/20_guardianangel}
\cleardoublepage
\input{chapters/30_discrete_traj_eval}
\cleardoublepage
\input{chapters/40_ga_with_predictions}
\cleardoublepage
\input{chapters/50_occupancygrid}
% %\cleardoublepage
% %\input{chapters/60_python_bindings}
\cleardoublepage
\input{chapters/70_discussion}
\cleardoublepage
\input{chapters/80_conclusion}
\cleardoublepage
\input{chapters/85_acknowledgements}
\cleardoublepage

% % Appendix___________________________________________
\appendix
\input{chapters/90_appendix}
\cleardoublepage

% Bibliography__________________________________________________________________
% Literature (Additional references can be added to the .bib-file manually, or by using, for example, the free application JabRef). Compile in the following order: latex -bibtex -latex -latex

% \bibliographystyle{plain}
% \bibliography{bibliography}

\end{document}
